#include <iostream>
#include <direct.h>
#include <process.h>
#include <mbstring.h>
#include <../w32api/w32api.h>
#include <../w32api/winbase.h>

using namespace std;

int main(int argc,char *argv[])
{
  string in_ext = ".rtf";
  string out_ext = ".tad";
  char cst[512];
  
  string prog, target, source, cmd;
  char ch;
  int np;
  
  if (argc != 2){
    cerr << "argument error." << endl;
    return 1;
  }
  prog = argv[0];
  target = source = argv[1];
  
  np = prog.rfind("ddrp-");
  if (np == string::npos){
    cerr << "program name should be ddrp-*.exe." << endl;
    return 2;
  }
  prog.erase(np,5);
  
  np = target.rfind(in_ext);
  if (np == string::npos || np != target.length()-in_ext.length()){
    cerr << "file type seems to be different, but i will try..." << endl;
  }
  else {
    target.erase(np);
  }
  target.append(out_ext);
  
  //cmd = prog + " < \"" + source + "\" > \"" + target + "\"";
  GetShortPathName(prog.c_str(),cst,512);
  cmd = string(cst) + " < \"" + source + "\" > \"" + target + "\"";
  cerr << cmd << endl;
  
  system(cmd.c_str());
  
  cout << "hit x key and return to exit." << endl;
  do {
    cin >> ch;
  } while (ch != 'x');
  
  return 0;
}
